io.vertx.groovy.rabbitmq

## Class RabbitMQClient_GroovyExtension

- java.lang.Object
- - io.vertx.groovy.rabbitmq.RabbitMQClient_GroovyExtension

-     public class RabbitMQClient_GroovyExtension
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `RabbitMQClient_GroovyExtension()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `basicAck(RabbitMQClient j_receiver, long deliveryTag, boolean multiple, Handler<AsyncResult<Map<String,Object>>> resultHandler)`
    `static void` | `basicGet(RabbitMQClient j_receiver, String queue, boolean autoAck, Handler<AsyncResult<Map<String,Object>>> resultHandler)`
    `static void` | `basicNack(RabbitMQClient j_receiver, long deliveryTag, boolean multiple, boolean requeue, Handler<AsyncResult<Map<String,Object>>> resultHandler)`
    `static void` | `basicPublish(RabbitMQClient j_receiver, String exchange, String routingKey, Map<String,Object> message, Handler<AsyncResult<Void>> resultHandler)`
    `static void` | `messageCount(RabbitMQClient j_receiver, String queue, Handler<AsyncResult<Map<String,Object>>> resultHandler)`
    `static void` | `queueDeclare(RabbitMQClient j_receiver, String queue, boolean durable, boolean exclusive, boolean autoDelete, Handler<AsyncResult<Map<String,Object>>> resultHandler)`
    `static void` | `queueDeclareAuto(RabbitMQClient j_receiver, Handler<AsyncResult<Map<String,Object>>> resultHandler)`
    `static void` | `queueDelete(RabbitMQClient j_receiver, String queue, Handler<AsyncResult<Map<String,Object>>> resultHandler)`
    `static void` | `queueDeleteIf(RabbitMQClient j_receiver, String queue, boolean ifUnused, boolean ifEmpty, Handler<AsyncResult<Map<String,Object>>> resultHandler)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RabbitMQClient_GroovyExtension

          public RabbitMQClient_GroovyExtension()

  - ### Method Detail

    - #### basicAck

          public static void basicAck(RabbitMQClient j_receiver,
                                      long deliveryTag,
                                      boolean multiple,
                                      Handler<AsyncResult<Map<String,Object>>> resultHandler)

    - #### basicNack

          public static void basicNack(RabbitMQClient j_receiver,
                                       long deliveryTag,
                                       boolean multiple,
                                       boolean requeue,
                                       Handler<AsyncResult<Map<String,Object>>> resultHandler)

    - #### basicGet

          public static void basicGet(RabbitMQClient j_receiver,
                                      String queue,
                                      boolean autoAck,
                                      Handler<AsyncResult<Map<String,Object>>> resultHandler)

    - #### basicPublish

          public static void basicPublish(RabbitMQClient j_receiver,
                                          String exchange,
                                          String routingKey,
                                          Map<String,Object> message,
                                          Handler<AsyncResult<Void>> resultHandler)

    - #### queueDeclareAuto

          public static void queueDeclareAuto(RabbitMQClient j_receiver,
                                              Handler<AsyncResult<Map<String,Object>>> resultHandler)

    - #### queueDeclare

          public static void queueDeclare(RabbitMQClient j_receiver,
                                          String queue,
                                          boolean durable,
                                          boolean exclusive,
                                          boolean autoDelete,
                                          Handler<AsyncResult<Map<String,Object>>> resultHandler)

    - #### queueDelete

          public static void queueDelete(RabbitMQClient j_receiver,
                                         String queue,
                                         Handler<AsyncResult<Map<String,Object>>> resultHandler)

    - #### queueDeleteIf

          public static void queueDeleteIf(RabbitMQClient j_receiver,
                                           String queue,
                                           boolean ifUnused,
                                           boolean ifEmpty,
                                           Handler<AsyncResult<Map<String,Object>>> resultHandler)

    - #### messageCount

          public static void messageCount(RabbitMQClient j_receiver,
                                          String queue,
                                          Handler<AsyncResult<Map<String,Object>>> resultHandler)

Copyright © 2017. All rights reserved.